%global momorel 4

Summary: a GTK+ 2ch.net BBS browser
Name: ochusha
Version: 0.5.8.2
Release: %{momorel}m
License: Modified BSD
URL: http://ochusha.sourceforge.jp/
Group: Applications/Internet
%NoSource 0 http://downloads.sourceforge.jp/ochusha/16560/%{name}-%{version}.tar.bz2 167edce1d41f766d18018175458373c7
Source1: %{name}.desktop
Patch0: %{name}-%{version}-deprecated.patch
Patch1: %{name}-%{version}-new-2channelers.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: gtk+ >= 2.2.0, glib >= 2.2.0, libxml2 >= 2.5.0, openssl
BuildRequires: gtk+-devel >= 2.2.0, glib-devel >= 2.2.0, libxml2-devel >= 2.5.0
BuildRequires: gettext, zlib-devel, openssl-devel >= 0.9.8a

%description
The ochusha is BBS, especially 2ch.net, browser with GUI.
It uses the GTK+ toolkit for all of its interface needs.
The ochusha offers a sort of features such as multi-level
popup view of `response's, inlining and popup view of
images that helps users to interact with BBSs.

%prep
%setup -q
%patch0 -p1 -b .depreated
%patch1 -p1 -b .cookie

%build
autoreconf -fi
%configure
%make

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%makeinstall

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
%__mkdir_p %{buildroot}%{_datadir}/pixmaps
%__ln_s ../ochusha/ochusha48.png %{buildroot}%{_datadir}/pixmaps/ochusha.png

# install desktop file
%__mkdir_p %{buildroot}%{_datadir}/applications
%__install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/applications/

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc ACKNOWLEDGEMENT AUTHORS BUGS COPYING ChangeLog INSTALL* NEWS README TODO
%{_bindir}/ochusha
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so*
%{_datadir}/applications/ochusha.desktop
%{_datadir}/locale/*/LC_MESSAGES/ochusha.mo
%{_datadir}/ochusha
%{_datadir}/pixmaps/ochusha.png
%{_mandir}/man1/ochusha.1*

%changelog
* Mon May 29 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.8.2-4m)
- import ochusha-0.5.8.2-new-2channelers.patch from 2ch
  http://pc8.2ch.net/test/read.cgi/linux/1148809116/11-15

* Sun Apr  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.5.8.2-3m)
- rebuild against openssl-0.9.8a

* Wed Mar 15 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.5.8.2-2m)
- add Patch0: ochusha-0.5.8.2-deprecated.patch due to glib-2.10.1

* Mon Sep 19 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.8.2-1m)
- version 0.5.8.2
- add %%{_datadir}/pixmaps/ochusha.png
- modify ochusha.desktop

* Tue Aug  2 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.8.1-1m)
- version 0.5.8.1

* Sat Jun 11 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.5.8-1m)
- version 0.5.8

* Fri Dec 31 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.7.2-1m)
- version 0.5.7.2

* Thu Dec 30 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.7.1-1m)
- version 0.5.7.1

* Tue Dec  7 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.7-2m)
- BuildRequires: openssl-devel
- Requires: openssl

* Sun Nov 28 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.7-1m)
- version 0.5.7

* Mon Nov 15 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.6-1m)
- version 0.5.6

* Thu Aug 12 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.5-3m)
- import ochusha.desktop from linux.matchy.net
  http://linux.matchy.net/OchushaRpm.html
- correct Requires and BuildRequires

* Thu Aug  5 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.5-2m)
- change make install-strip to install

* Fri Jul  2 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.5-1m)
- version 0.5.5

* Sat Jun 26 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.4.10-2m)
- use make install-strip

* Sun Jun 20 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.4.10-1m)
- version 0.5.4.10

* Wed Jun 16 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.4.9-1m)
- version 0.5.4.9

* Tue Jun 15 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.4.8-1m)
- version 0.5.4.8

* Mon Jun 14 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.4.7-1m)
- version 0.5.4.7

* Mon Jun 14 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.4.6-1m)
- version 0.5.4.6

* Sat Jun 12 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.4.5-1m)
- version 0.5.4.5

* Fri Jun 11 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.4.4-1m)
- version 0.5.4.4

* Sun Jun  6 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.4.3-1m)
- version 0.5.4.3

* Tue May 25 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.4.2-1m)
- version 0.5.4.2
- remove --with-gtk22-api option from configure

* Sun May 16 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.4.1-1m)
- version 0.5.4.1
- add --with-gtk22-api option to configure

* Thu May  6 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.4-1m)
- version 0.5.4

* Wed May  5 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.3-1m)
- version 0.5.3

* Sun May  2 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.2-1m)
- version 0.5.2

* Fri Apr  9 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.1-1m)
- version 0.5.1
- add man file

* Sun Feb 29 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5-1m)
- version 0.5

* Wed Jan 28 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.10.3-1m)
- version 0.4.10.3

* Thu Jan 22 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.10.1-1m)
- version 0.4.10.1

* Wed Jan 21 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.10-1m)
- version 0.4.10

* Sat Jan 17 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.9.7-1m)
- version 0.4.9.7

* Sat Jan 17 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.9.6-1m)
- version 0.4.9.6

* Thu Jan 15 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.9.5-1m)
- version 0.4.9.5

* Wed Jan 14 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.9.4-1m)
- version 0.4.9.4
- s/%%define/%%global/g

* Wed Jan 14 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.9.3-1m)
- version 0.4.9.3

* Tue Jan 13 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.9.2-1m)
- version 0.4.9.2
- use rpm macros in desktop entry

* Mon Jan 12 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.9.1-1m)
- version 0.4.9.1

* Sun Jan 11 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.9-1m)
- version 0.4.9

* Tue Jan  6 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.8.2-1m)
- version 0.4.8.2

* Wed Dec 31 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.8.1-2m)
- add %%post and %%postun sections

* Wed Dec 31 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.8.1-1m)
- version 0.4.8.1

* Tue Dec 30 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.8-1m)
- version 0.4.8

* Tue Dec 30 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.7.1-1m)
- version 0.4.7.1

* Wed Dec 24 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.7-1m)
- version 0.4.7
- Merry Christmas

* Mon Dec 22 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.6-2m)
- version 0.4.6 official release

* Sun Dec 21 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.6-1m)
- version 0.4.6

* Sun Dec 21 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.5.11-1m)
- version 0.4.5.11

* Sat Dec 20 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.5.10-1m)
- version 0.4.5.10

* Sat Dec 20 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.5.9-1m)
- version 0.4.5.9

* Sat Dec 20 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.5.8-1m)
- version 0.4.5.8
- fix Requires

* Wed Dec 17 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.5.7-1m)
- version 0.4.5.7

* Tue Dec 16 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.5.6-1m)
- version 0.4.5.6

* Mon Dec 15 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.5.5-1m)
- version 0.4.5.5

* Sat Dec 13 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.5.4-1m)
- version 0.4.5.4

* Fri Dec 12 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.5.2-1m)
- version 0.4.5.2

* Tue Dec  9 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.5.1-1m)
- version 0.4.5.1

* Sat Dec  6 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.5-1m)
- version 0.4.5

* Tue Dec  2 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.4.8-2m)
- add desktop entry

* Sat Nov 29 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.4.8-1m)
- version 0.4.4.8
- License: Modified BSD

* Thu Nov 27 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.4.7-1m)
- version 0.4.4.7

* Wed Nov 26 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.4.6-1m)
- import

* Fri Nov 21 2003 <yuhei@users.sourceforge.jp> 0.4.4.3-1
- Version up.
* Fri Nov 14 2003 <yuhei@users.sourceforge.jp> 0.4.4.2-1
- Version up.
- Added some libraries. 
* Mon Jun 23 2003 <yuhei@users.sourceforge.jp> 0.4.3.6-1
- Version up.
* Wed Jun 11 2003 <yuhei@users.sourceforge.jp> 0.4.3.4-1
- Version up.
- changed prefix enviromental valuable.
- changed URL.
* Mon May 19 2003 <yuhei@users.sourceforge.jp> 0.4.3.3-1
- Version up.
* Mon May 12 2003 <yuhei@users.sourceforge.jp> 0.4.3.2-1
- Version up.
- Fixed Group.
* Mon May 12 2003 <yuhei@users.sourceforge.jp> 0.4.2.1-1
- Initial build.
